> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Logs



## OpenAPI

````yaml GET /logs
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /logs:
    get:
      tags:
        - logs
      summary: /logs
      operationId: ListLogs
      parameters:
        - name: includeLogs
          in: query
          description: If true, you get a "logs" array in the results
          required: false
          style: form
          explode: true
          schema:
            type: boolean
            default: true
        - name: includeMetrics
          in: query
          description: If true, results have "metrics" array
          required: false
          style: form
          explode: true
          schema:
            type: boolean
            default: false
        - name: userSessionId
          in: query
          description: >-
            Filters by this user ID (aka "participant ID"). Required if
            `mtgSessionId` is not present in the request
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: mtgSessionId
          in: query
          description: >-
            Filters by this Session ID. Required if `userSessionId` is not
            present in the request
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: logLevel
          in: query
          description: Filters by the given log level name
          required: false
          style: form
          explode: true
          schema:
            type: string
            enum:
              - ERROR
              - INFO
              - DEBUG
        - name: order
          in: query
          description: ASC or DESC, case insensitive
          required: false
          style: form
          explode: true
          schema:
            type: string
            default: DESC
        - name: startTime
          in: query
          description: A JS timestamp (ms since epoch in UTC)
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: endTime
          in: query
          description: A JS timestamp (ms since epoch), defaults to the current time
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: Limit the number of logs and/or metrics returned
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: i32
            default: 20
        - name: offset
          in: query
          description: Number of records to skip before returning results
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: i32
            default: 0
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  logs:
                    type: array
                    items:
                      type: object
                      properties:
                        time:
                          type: string
                          format: date-time
                        clientTime:
                          type: string
                          format: date-time
                        message:
                          type: string
                        mtgSessionId:
                          type: string
                        userSessionId:
                          type: string
                        peerId:
                          type: string
                          nullable: true
                        domainName:
                          type: string
                        level:
                          type: integer
                        code:
                          type: integer
                          nullable: true
              examples:
                Result:
                  value:
                    logs:
                      - time: '2026-03-23T16:32:55.473000000Z'
                        clientTime: '2026-03-23T16:32:55.324000000Z'
                        message: disconnect on pagehide
                        mtgSessionId: 008c1f0f-6fc5-4e5f-b872-1b9623cb1e7a
                        userSessionId: 7a51a4b2-92cf-4ad2-b53b-9d01cc985a38
                        peerId: null
                        domainName: your-domain
                        level: 2
                        code: 7991
                      - time: '2026-03-23T16:32:55.473000000Z'
                        clientTime: '2026-03-23T16:32:55.324000000Z'
                        message: leaving session
                        mtgSessionId: 008c1f0f-6fc5-4e5f-b872-1b9623cb1e7a
                        userSessionId: 7a51a4b2-92cf-4ad2-b53b-9d01cc985a38
                        peerId: null
                        domainName: your-domain
                        level: 1
                        code: 8000
                      - time: '2026-03-23T16:32:55.473000000Z'
                        clientTime: '2026-03-23T16:32:54.338000000Z'
                        message: participant left
                        mtgSessionId: 008c1f0f-6fc5-4e5f-b872-1b9623cb1e7a
                        userSessionId: 7a51a4b2-92cf-4ad2-b53b-9d01cc985a38
                        peerId: 6436dbcb-f60a-48c4-90ca-4588f60f6fbc
                        domainName: your-domain
                        level: 1
                        code: 8020
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  info:
                    type: string
              examples:
                Result:
                  value:
                    error: invalid-request-error
                    info: mtgSessionId or userSessionId is required
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````